packaging: move packagelib.sh into contrib/packaging/
authorGregory Szorc <gregory.szorc@gmail.com>
Sat, 12 May 2018 10:28:00 -0700
changeset 38005 ea70512b1ad6
parent 38004 1868db0d1515
child 38006 64b086f0ebb5
packaging: move packagelib.sh into contrib/packaging/ This required some minor path adjustments in scripts referencing this path. Differential Revision: https://phab.mercurial-scm.org/D3543
contrib/builddeb
contrib/buildrpm
contrib/packagelib.sh
contrib/packaging/dockerdeb
contrib/packaging/packagelib.sh
--- a/contrib/builddeb	Sat May 12 10:33:11 2018 -0700
+++ b/contrib/builddeb	Sat May 12 10:28:00 2018 -0700
@@ -4,7 +4,7 @@
 #
 # Tested on Jessie (stable as of original script authoring.)
 
-. $(dirname $0)/packagelib.sh
+. $(dirname $0)/packaging/packagelib.sh
 
 BUILD=1
 CLEANUP=1
--- a/contrib/buildrpm	Sat May 12 10:33:11 2018 -0700
+++ b/contrib/buildrpm	Sat May 12 10:28:00 2018 -0700
@@ -7,7 +7,7 @@
 # - CentOS 5
 # - centOS 6
 
-. $(dirname $0)/packagelib.sh
+. $(dirname $0)/packaging/packagelib.sh
 
 BUILD=1
 RPMBUILDDIR="$PWD/rpmbuild"
--- a/contrib/packagelib.sh	Sat May 12 10:33:11 2018 -0700
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,38 +0,0 @@
-# Extract version number into 4 parts, some of which may be empty:
-#
-# version: the numeric part of the most recent tag. Will always look like 1.3.
-#
-# type: if an rc build, "rc", otherwise empty
-#
-# distance: the distance from the nearest tag, or empty if built from a tag
-#
-# node: the node|short hg was built from, or empty if built from a tag
-gethgversion() {
-    export HGRCPATH=
-    export HGPLAIN=
-
-    make cleanbutpackages
-    make local PURE=--pure
-    HG="$PWD/hg"
-
-    "$HG" version > /dev/null || { echo 'abort: hg version failed!'; exit 1 ; }
-
-    hgversion=`LANGUAGE=C "$HG" version | sed -ne 's/.*(version \(.*\))$/\1/p'`
-
-    if echo $hgversion | grep + > /dev/null 2>&1 ; then
-        tmp=`echo $hgversion | cut -d+ -f 2`
-        hgversion=`echo $hgversion | cut -d+ -f 1`
-        distance=`echo $tmp | cut -d- -f 1`
-        node=`echo $tmp | cut -d- -f 2`
-    else
-        distance=''
-        node=''
-    fi
-    if echo $hgversion | grep -- '-' > /dev/null 2>&1; then
-        version=`echo $hgversion | cut -d- -f1`
-        type=`echo $hgversion | cut -d- -f2`
-    else
-        version=$hgversion
-        type=''
-    fi
-}
--- a/contrib/packaging/dockerdeb	Sat May 12 10:33:11 2018 -0700
+++ b/contrib/packaging/dockerdeb	Sat May 12 10:28:00 2018 -0700
@@ -1,7 +1,7 @@
 #!/bin/bash -eu
 
 . $(dirname $0)/dockerlib.sh
-. $(dirname $0)/../packagelib.sh
+. $(dirname $0)/packagelib.sh
 
 BUILDDIR=$(dirname $0)
 export ROOTDIR=$(cd $BUILDDIR/../.. > /dev/null; pwd)
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/contrib/packaging/packagelib.sh	Sat May 12 10:28:00 2018 -0700
@@ -0,0 +1,38 @@
+# Extract version number into 4 parts, some of which may be empty:
+#
+# version: the numeric part of the most recent tag. Will always look like 1.3.
+#
+# type: if an rc build, "rc", otherwise empty
+#
+# distance: the distance from the nearest tag, or empty if built from a tag
+#
+# node: the node|short hg was built from, or empty if built from a tag
+gethgversion() {
+    export HGRCPATH=
+    export HGPLAIN=
+
+    make cleanbutpackages
+    make local PURE=--pure
+    HG="$PWD/hg"
+
+    "$HG" version > /dev/null || { echo 'abort: hg version failed!'; exit 1 ; }
+
+    hgversion=`LANGUAGE=C "$HG" version | sed -ne 's/.*(version \(.*\))$/\1/p'`
+
+    if echo $hgversion | grep + > /dev/null 2>&1 ; then
+        tmp=`echo $hgversion | cut -d+ -f 2`
+        hgversion=`echo $hgversion | cut -d+ -f 1`
+        distance=`echo $tmp | cut -d- -f 1`
+        node=`echo $tmp | cut -d- -f 2`
+    else
+        distance=''
+        node=''
+    fi
+    if echo $hgversion | grep -- '-' > /dev/null 2>&1; then
+        version=`echo $hgversion | cut -d- -f1`
+        type=`echo $hgversion | cut -d- -f2`
+    else
+        version=$hgversion
+        type=''
+    fi
+}